package cn.com.countrygarden.bi.main.dto.wcx;

import java.util.Date;

/**
 * 用户角色
 */
public class WcxRoleDto extends WcxBaseDto{
    private String roleId; // varchar(36) NOT NULL COMMENT '角色表主键',
    private String roleCode; // varchar(8) DEFAULT NULL COMMENT '角色编码',
    private String roleName; // varchar(36) DEFAULT NULL COMMENT '角色名称',
    private String roleType; // isLeader char(1) DEFAULT NULL COMMENT '角色类别(1:代表普通人,2:代表领导)',
    private Integer weightRatio; // thumsRole int(5) DEFAULT NULL COMMENT '权重比例',
    private Integer pointNumber; // int(5) DEFAULT NULL COMMENT '点赞次数',
    private String status; // char(1) DEFAULT NULL COMMENT '状态(0:未启用,1:启用)',
    private Date createDate; // datetime DEFAULT NULL COMMENT '创建时间',

    private Integer numberPoints; // int(11) DEFAULT NULL COMMENT '用户的点赞数量',
    private Integer goldenHammer; // int(11) DEFAULT NULL COMMENT '金锤点赞数',

    public String getRoleId() {
        return roleId;
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    public String getRoleCode() {
        return roleCode;
    }

    public void setRoleCode(String roleCode) {
        this.roleCode = roleCode;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getRoleType() {
        return roleType;
    }

    public void setRoleType(String roleType) {
        this.roleType = roleType;
    }

    public Integer getWeightRatio() {
        return weightRatio;
    }

    public void setWeightRatio(Integer weightRatio) {
        this.weightRatio = weightRatio;
    }

    public Integer getPointNumber() {
        return pointNumber;
    }

    public void setPointNumber(Integer pointNumber) {
        this.pointNumber = pointNumber;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Integer getNumberPoints() {
        return numberPoints;
    }

    public void setNumberPoints(Integer numberPoints) {
        this.numberPoints = numberPoints;
    }

    public Integer getGoldenHammer() {
        return goldenHammer;
    }

    public void setGoldenHammer(Integer goldenHammer) {
        this.goldenHammer = goldenHammer;
    }
}
